From e928880bd8b26fd704231549456ae7da88cecda6 Mon Sep 17 00:00:00 2001
From: Tomasz Maciej Nowak <tmn505@gmail.com>
Date: Mon, 20 Apr 2020 14:35:34 +0200
Subject: [PATCH] arm64: dts: marvell: espressobin: remove COMPHY nodes
 assignmet

This commit removes changes from upstream commits:
8e18c8e58da6 arm64: dts: marvell: armada-3720-espressobin: declare SATA
PHY property
bd3d25b07342 arm64: dts: marvell: armada-37xx: link USB hosts with their
PHYs
For most boards which have factory bootloader this caused that devices
connected to USB 3.0 and SATA port were not detected. For them to
function users would need to upgrade the bootloader to version with ARM
Trusted Firmware 2.1 or later. Unfortunately there is no official
bootloader image with updated ATF component, therefore drop these
properties from nodes. This change was also tested briefly with
bootloader with updated ATF and the ports functioned properly.

Signed-off-by: Tomasz Maciej Nowak <tmn505@gmail.com>
---
 arch/arm64/boot/dts/marvell/armada-3720-espressobin.dts | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

--- a/arch/arm64/boot/dts/marvell/armada-3720-espressobin.dts
+++ b/arch/arm64/boot/dts/marvell/armada-3720-espressobin.dts
@@ -64,8 +64,6 @@
 /* J6 */
 &sata {
 	status = "okay";
-	phys = <&comphy2 0>;
-	phy-names = "sata-phy";
 };
 
 /* J1 */
@@ -131,11 +129,17 @@
 /* J7 */
 &usb3 {
 	status = "okay";
+
+	/delete-property/ phys;
+	/delete-property/ phy-names;
 };
 
 /* J8 */
 &usb2 {
 	status = "okay";
+
+	/delete-property/ phys;
+	/delete-property/ phy-names;
 };
 
 &mdio {
